hwloc_obj_attr_u::hwloc_pcidev_attr_s(3)

NAME
hwloc_obj_attr_u::hwloc_pcidev_attr_s

SYNOPSIS

#include <hwloc.h>

  Data Fields
unsigned short domain
unsigned char bus
unsigned char dev
unsigned char func
unsigned short class_id
unsigned short vendor_id
unsigned short device_id
unsigned short subvendor_id
unsigned short subdevice_id
unsigned char revision
float linkspeed

Detailed Description

PCI Device specific Object Attributes.

Field Documentation

  unsigned char hwloc_obj_attr_u::hwloc_pcidev_attr_s::bus

Bus number (yy in the PCI BDF notation xxxx:yy:zz.t).

  unsigned short hwloc_obj_attr_u::hwloc_pcidev_attr_s::class_id

The class number (first two bytes, without the prog_if).

  unsigned char hwloc_obj_attr_u::hwloc_pcidev_attr_s::dev

Device number (zz in the PCI BDF notation xxxx:yy:zz.t).

  unsigned short hwloc_obj_attr_u::hwloc_pcidev_attr_s::device_id

Device ID (yyyy in [xxxx:yyyy]).

  unsigned short hwloc_obj_attr_u::hwloc_pcidev_attr_s::domain

Domain number (xxxx in the PCI BDF notation xxxx:yy:zz.t). Only 16bits PCI domains are supported by default.

  unsigned char hwloc_obj_attr_u::hwloc_pcidev_attr_s::func

Function number (t in the PCI BDF notation xxxx:yy:zz.t).

  float hwloc_obj_attr_u::hwloc_pcidev_attr_s::linkspeed

Link speed in GB/s. This datarate is the currently configured speed of the entire PCI link (sum of the bandwidth of all PCI lanes in that link). It may change during execution since some devices are able to slow their PCI links down when idle.

  unsigned char hwloc_obj_attr_u::hwloc_pcidev_attr_s::revision

Revision number.

  unsigned short hwloc_obj_attr_u::hwloc_pcidev_attr_s::subdevice_id

Sub-Device ID.

  unsigned short hwloc_obj_attr_u::hwloc_pcidev_attr_s::subvendor_id

Sub-Vendor ID.

  unsigned short hwloc_obj_attr_u::hwloc_pcidev_attr_s::vendor_id

Vendor ID (xxxx in [xxxx:yyyy]).

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.